i2p.susi.webmail.encoding

## Class EncodingFactory

- java.lang.Object
- - i2p.susi.webmail.encoding.EncodingFactory

-     public class EncodingFactory
      extends Object

  Manager class to handle content transfer encodings.
  Author:
    susi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set` | `availableEncodings()` Returns list of available encodings;
    `static Encoding` | `getEncoding(String name)` Retrieve instance of an encoder for a supported encoding (or null).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_ENCODING

          public static final String CONFIG_ENCODING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EncodingFactory

          public EncodingFactory()

  - ### Method Detail

    - #### getEncoding

          public static Encoding getEncoding(String name)

      Retrieve instance of an encoder for a supported encoding (or null).
      Parameters:
        `name` - name of encoding (e.g. quoted-printable)
      Returns:
        Encoder instance

    - #### availableEncodings

          public static Set availableEncodings()

      Returns list of available encodings;
      Returns:
        List of encodings